package com.gxzc.zen.rpc.api

import com.baomidou.mybatisplus.mapper.Wrapper
import com.gxzc.zen.api.sys.model.SysResource

/**
 * 远程 ResourceService (kotlin方面不能使用lateinit注入)
 * @author NorthLan
 * @date 2018/6/20
 * @url https://noahlan.com
 */
interface RResourceService {

    /**
     * 获取全部资源列表
     */
    fun selectList(wrapper: Wrapper<SysResource>?): MutableList<SysResource>

    /**
     * 根据id获取资源列表
     */
    fun getResourcesByRoleIds(roleIds: List<Long>): MutableList<SysResource>
}